#include "mbed.h"

DigitalOut myled(LED1);
Ticker cadenceTicker;
Serial pc(USBTX,USBRX);//for debug

#include "Cadence.h"
Cadence ar(p13,p14);

void for_attach(){
    ar.readData();
}

int main() {
    ar.baud(115200);
    ar.attach(for_attach);
    while(1) {
        pc.printf("data:");
        ar.readData();
        pc.printf("\n\r");
        for(int i = 0; i<75; i++){
            if(ar.data[i] == '\r') {
                pc.putc('!');
            }else if(ar.data[i] == '\n'){
                pc.putc('$');
            }else{
                pc.printf("%c",ar.data[i]);
            }
        }
        pc.printf("test\n\r");
        pc.printf("cadence:%4.2f\n\r",ar.cadence);
        pc.printf("voltage:%4.2f\n\r",ar.voltage);
        pc.printf("strC:");
        for(int i=0; i<4; i++) pc.printf("%c",ar.strC[i]);
        pc.printf("\n\rstrV:");
        for(int i=0; i<4; i++) pc.printf("%c",ar.strV[i]);
        pc.printf("\n\r");
        wait(0.4);
    }
}
